<?xml version="1.0" encoding="utf-8"?>
<navigation xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/nav_main"
    app:startDestination="@id/fragmentMain">

    <fragment
        android:id="@+id/fragmentMain"
        android:name="com.doverfuelingsolutions.issp.view.fragment.FragmentMain"
        android:label="@string/app_name" >
        <action
            android:id="@+id/action_fragmentMain_to_fragmentLogin"
            app:destination="@id/fragmentLogin" />
    </fragment>

    <fragment
        android:id="@+id/fragmentLogin"
        android:name="com.doverfuelingsolutions.issp.view.fragment.FragmentLogin"
        android:label="@string/login">
        <action
            android:id="@+id/action_fragmentLogin_to_fragmentPreference"
            app:destination="@id/fragmentPreferenceWrapper" />
    </fragment>

    <fragment
        android:id="@+id/fragmentPreferenceWrapper"
        android:name="com.doverfuelingsolutions.issp.view.fragment.FragmentPreferenceWrapper"
        android:label="@string/preference" />
</navigation>